//: C03:Compare.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Ukazuje funkce compare() a swap().
#include <cassert>
#include <string>
using namespace std;

int main() {
  string prvni("Toto");
  string druhy("Tamto");
  assert(prvni.compare(prvni) == 0);
  assert(druhy.compare(druhy) == 0);
  // Který je lexikálně větší?
  assert(prvni.compare(druhy) > 0);
  assert(druhy.compare(prvni) < 0);
  prvni.swap(druhy);
  assert(prvni.compare(druhy) < 0);
  assert(druhy.compare(prvni) > 0);
} ///:~
